﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Animation;
using System.Windows.Shapes;

namespace AppleAccordion
{
    public partial class Page : UserControl
    {
        public Page()
        {
            InitializeComponent();
        }

        private void root_Loaded(object sender, RoutedEventArgs e)
        {
            updateLayout(App.Current.Host.Content.ActualWidth, App.Current.Host.Content.ActualHeight);
        }

        void updateLayout(double width, double height)
        {
            if (mainScale != null && root.Width != 0 && root.Height != 0)
            {
                var scale = width / root.Width;
                if (height / root.Height < scale)
                {
                    scale = height / root.Height;
                }
                mainScale.ScaleX = scale;
                mainScale.ScaleY = scale;
            }
        }

        private void imageMenuRect_MouseEnter(object sender, MouseEventArgs e)
        {
            imageMenu.Opacity = 1d;
            textMenu.Opacity = 0.4d;
            inkMenu.Opacity = 0.4d;
            miscMenu.Opacity = 0.4d;
            if (imageMenuRect.Height == 50)
            {
                expandImageMenu.Begin();
            }
            else
            {
                collapseMenus.Begin();
            }
        }

        private void textMenuRect_MouseEnter(object sender, MouseEventArgs e)
        {
            imageMenu.Opacity = 0.4d;
            textMenu.Opacity = 1d;
            inkMenu.Opacity = 0.4d;
            miscMenu.Opacity = 0.4d;
            if (imageMenuRect.Height == 50)
            {
                expandTextMenu.Begin();
            }
            else
            {
                collapseMenus.Begin();
            }
        }

        private void inkMenuRect_MouseEnter(object sender, MouseEventArgs e)
        {
            imageMenu.Opacity = 0.4d;
            textMenu.Opacity = 0.4d;
            inkMenu.Opacity = 1d;
            miscMenu.Opacity = 0.4d;
            if (imageMenuRect.Height == 50)
            {
                expandInkMenu.Begin();
            }
            else
            {
                collapseMenus.Begin();
            }
        }

        private void miscMenuRect_MouseEnter(object sender, MouseEventArgs e)
        {
            imageMenu.Opacity = 0.4d;
            textMenu.Opacity = 0.4d;
            inkMenu.Opacity = 0.4d;
            miscMenu.Opacity = 1d;
            if (imageMenuRect.Height == 50)
            {
                expandMiscMenu.Begin();
            }
            else
            {
                collapseMenus.Begin();
            }
        }
    }
}
